Skip to main content
GET
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
customFields
/
{fieldInstanceUid}
Get custom field of project template
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/customFields/{fieldInstanceUid} \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/customFields/{fieldInstanceUid}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/customFields/{fieldInstanceUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "uid": "3HYnHHLkTPJfMxBCDbPXFe"
  },
  "customField": {
    "allowedEntities": [],
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "description": "<string>",
    "lastModified": "2023-11-07T05:31:56Z",
    "lastModifiedBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "name": "<string>",
    "options": {
      "remainingCount": 123,
      "truncatedOptions": [
        {
          "deprecated": true,
          "uid": "<string>",
          "used": true,
          "value": "<string>"
        }
      ]
    },
    "required": true,
    "requiredFrom": "2023-11-07T05:31:56Z",
    "uid": "<string>"
  },
  "selectedOptions": [
    {
      "deprecated": true,
      "uid": "<string>",
      "used": true,
      "value": "<string>"
    }
  ],
  "uid": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": {
    "uid": "3HYnHHLkTPJfMxBCDbPXFe"
  },
  "value": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectTemplateUid
string
required

Project template UID

fieldInstanceUid
string
required

Custom field instance UID

Response

OK

createdAt
string<date-time>
createdBy
object

Reference to an object by its unique identifier

customField
object
selectedOptions
object[]
uid
string
updatedAt
string<date-time>
updatedBy
object

Reference to an object by its unique identifier

value
string